%global momorel 1
%global stable5 0
%global unstable 1
%if 0%{unstable}
#%%global svnrel 979380
%global release_dir unstable
%else
%global release_dir stable
%endif
%global kdever 4.2.95
%global kdelibsrel 1m
%global kdepimlibsrel 1m
%global qtver 4.5.1
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver 4.2.95
%global sourcedir %{release_dir}/%{ftpdirver}/src

%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: K Desktop Environment - Workspace
Name: kdebase-workspace
Version: %{kdever}
Release: %{momorel}m%{?dist}
Group: User Interface/Desktops
License: GPLv2
URL: http://www.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}%{?svnrel:svn%{svnrel}}.tar.bz2
NoSource: 0

# pam support
Source1: pam.d-kdm
Source2: pam.d-kdm-np
Source3: pam.d-kcheckpass
Source4: pam.d-kscreensaver

# pulseaudio support
Source10: pulseaudio.sh

# environment setting files
Source20: env.sh
Source21: gpg-agent-startup.sh
Source22: momonga-bookmarks.sh
Source23: gpg-agent-shutdown.sh

# rc file
Source30: kde4rc

# default profile
Source50: defaults.list
Source51: bookmarks.xml
Source52: kdeglobals
Source53: plasma-desktop-appletsrc
Source54: update_ksycoca
Source55: dot.kdeprofile

# kdm files
Source70: Xsession.momonga
Source71: backgroundrc
Source72: kdmrc
Source73: xinitrc-common
Source74: xinitrc-momonga
Source75: desktop.sample

# Momonga Menus
Source110: mo-server-settings-more.directory
Source111: mo-server-settings.directory
Source112: mo-system-settings-more.directory
Source113: mo-system-settings.directory

# Momonga Icons
Source130: hi16-apps-momonga.png
Source131: hi22-apps-momonga.png
Source132: hi32-apps-momonga.png
Source133: hi48-apps-momonga.png
Source134: hi64-apps-momonga.png

# Momonga ColorScheme
Source150: Momonga5.colors

# Momonga splash screen
Source200: rectangle.png

Patch1: kdebase-workspace-4.2.85-redhat-startkde.patch
Patch2: kdebase-workspace-4.2.95-plasma-konsole.patch
Patch3: kdebase-workspace-4.2.90-show_systemsettings.patch
Patch4: kdebase-workspace-4.2.85-ck-shutdown.patch
Patch5: kdebase-workspace-4.2.90-MALLOC_CHECK.patch
Patch6: kdebase-workspace-4.0.3-timedate-kcm.patch
# 441062: packagekit tools do not show icons correctly on KDE
Patch7: kdebase-workspace-4.0.3-krdb.patch
Patch8: kdebase-workspace-4.2.85-klipper-url.patch
# 434824: KDE4 System Settings - No Method To Enter Administrative Mode
Patch9: kdebase-workspace-4.2.95-rootprivs.patch
Patch11: kdebase-workspace-4.1.96-font.patch
Patch12: kdebase-workspace-4.2.0-default_applets.patch
Patch13: kdebase-workspace-4.2.0-pykde4.patch
Patch15: kdebase-workspace-4.2.0-kio_sysinfo.patch

Patch50: kdebase-workspace-4.1.0-use-full-hinting-by-default.patch

# upstream patches:
# 4.3 branch
# fix the internal version number in CMakeLists.txt so the CMake files get
# installed to the expected location, otherwise our file list breaks
Patch100: kdebase-workspace-4.2.95-fix-version.patch
# revert solid-bluetooth to the version from 4.1.4, needed for kdebluetooth 0.2
# 0.3 requires BlueZ 4 and the patch above
Patch102: kdebase-workspace-4.2.0-bluetooth-revert.patch

# keep color of background at start up
Patch300: kdebase-workspace-4.2.91-momonga-startkde-change-color.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: coreutils
PreReq: desktop-file-utils
PreReq: gtk2
PreReq: shared-mime-info
Requires: %{name}-libs = %{version}-%{release}
%if %{stable5}
Requires: %{name}-wallpapers = %{version}-%{release}
Requires: oxygen-cursor-themes = %{version}-%{release}
%endif
Requires: ConsoleKit-x11
Requires: hal
Requires: momonga-backgrounds >= 5.1
Requires: sdr
Requires: xdg-user-dirs
Requires: xorg-x11-server-utils
Requires: xorg-x11-xkb-utils
BuildRequires: ConsoleKit-devel
BuildRequires: NetworkManager-devel
BuildRequires: PyKDE4
BuildRequires: bluez-libs-devel >= 4.22
BuildRequires: cmake >= %{cmakever}-%{cmakerel}
BuildRequires: dbus-devel
BuildRequires: glib2-devel
BuildRequires: freetype-devel
BuildRequires: google-gadgets-devel >= 0.10.5-0.20090104.1m
BuildRequires: kdelibs-devel >= %{version}-%{kdelibsrel}
BuildRequires: kdelibs-experimental-devel >= %{version}-%{kdelibsrel}
BuildRequires: kdepimlibs-devel >= %{version}-%{kdepimlibsrel}
BuildRequires: libcaptury-devel
BuildRequires: libraw1394-devel
BuildRequires: libusb-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXres-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libxklavier-devel >= 3.4
BuildRequires: lm_sensors-devel >= 3.0.2
BuildRequires: pam-devel
BuildRequires: polkit-qt-devel
BuildRequires: python-devel >= 2.6.1
BuildRequires: qedje-devel
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel >= 2.2.69
BuildRequires: strigi-devel >= 0.6.3-1m
BuildRequires: xmms-devel

Requires: kdebase-runtime >= %{version}
Requires: oxygen-icons

# split ksysguardd
Requires: ksysguardd = %{version}-%{release}

# startkde references: dbus-launch df mkdir test xmessage xprop xrandr xrdb xset xsetroot
Requires: coreutils
Requires: dbus-x11
Requires: xorg-x11-apps
Requires: xorg-x11-utils
Requires: xorg-x11-server-utils

%description
The KDE Workspace consists of what is the desktop of the 
KDE Desktop Environment.

This package contains:
* kdm (the login manager of KDE)
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* ksysguard (a performance monitor)
* kwin (the window manager of KDE)
* kxkb (a utility to switch keyboard maps)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)

%package devel
Summary:  Development files for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel

%description devel
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs >= %{version}

%description libs
%{summary}.

%package wallpapers
Summary: KDE wallpapers
Group: User Interface/Desktops
Requires: %{name} >= %{version}
BuildArch: noarch

%description wallpapers
%{summary}.

%package -n kdm
Summary: The KDE login manager
group: User Interface/X
Provides: kdebase-kdm = %{version}-%{release}
Provides: service(graphical-login) = kdm
Requires: kdelibs >= %{version}

%description -n kdm
KDM provides the graphical login screen, shown shortly after boot up,
log out, and when user switching.

%package -n ksysguardd
Summary: Performance monitor daemon
Group:   System Environment/Daemons

%description -n ksysguardd
%{summary}.

%package -n oxygen-cursor-themes
Summary: Oxygen cursor themes
Group: User Interface/Desktops
BuildArch: noarch

%description -n oxygen-cursor-themes
%{summary}.

%package googlegadgets
Summary: Google Desktop Gadgets
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description googlegadgets
%{summary}.

%package python-applet
Summary: Plasma widget in Python
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: PyKDE4 >= %{version}

%description python-applet
%{summary}.

%if !%{stable5}                                                                                                                                                       
%package -n PolicyKit-kde                                                                                                                                             
Summary: PolicyKit integration for the KDE desktop                                                                                                                    
Group: System Environment/Libraries                                                                                                                                   
BuildRequires:  PolicyKit-devel >= 0.8                                                                                                                                
Obsoletes: PolicyKit-kde < %{version}                                                                                                                                 
Provides : PolicyKit-kde = %{version}                                                                                                                                 
                                                                                                                                                                      
%description -n PolicyKit-kde                                                                                                                                         
%{summary}.  

%package -n PolicyKit-kde-devel
Summary: Headers and libraries for PolicyKit-kde
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: dbus-devel
Obsoletes: PolicyKit-kde-devel < %{version}                                                                                                                           
Provides : PolicyKit-kde-devel = %{version}                                                                                                                           

%description -n PolicyKit-kde-devel
Headers and libraries for PolicyKit-kde
%endif                                                                                                                                                                

%prep
%setup -q -n %{name}-%{version}%{?svnrel:svn%{svnrel}}

# RH/Fedora-specific startkde changes
%patch1 -p1 -b .redhat-startkde
%patch2 -p1 -b .plasma-konsole
%patch3 -p1 -b .show_systemsettings
# ConsoleKit >= 0.2.4 shutdown/reboot support (needed for GDM 2.22)
%patch4 -p1 -b .ck-shutdown
%patch5 -p1 -b .MALLOC_CHECK
%patch6 -p0 -b .timedate-kcm
%patch7 -p0 -b .krdb
%patch8 -p1 -b .klipper-url
%patch9 -p1 -b .rootprivs
%patch11 -p1 -b .font
%patch12 -p1 -b .default_applets
%patch13 -p1 -b .pykde4
# kio_sysinfo based on OpenSUSE's patch
%patch15 -p1 -b .kio_sysinfo

%patch50 -p1 -b .hintfull

# upstream patches
%patch100 -p1 -b .fix-version
%if %{stable5}
%patch102 -p1 -b .bluetooth-revert
%endif

# keep color of background at start up
%patch300 -p1 -b .mo6-forest-green

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DKDE4_KDM_PAM_SERVICE=kdm \
	-DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
	-DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver \
        ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# install pam configuration files
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/kdm
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/pam.d/kdm-np
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pam.d/kcheckpass
install -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/pam.d/kscreensaver

# xsession support
mkdir -p %{buildroot}%{_datadir}/xsessions/
ln -s %{_kde4_appsdir}/kdm/sessions/kde.desktop %{buildroot}%{_datadir}/xsessions/kde.desktop

# install sdr support
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/session.d/
cat <<END > %{buildroot}%{_sysconfdir}/X11/xinit/session.d/kde
NAME=KDE
IFEXISTS=%{_kde4_bindir}/startkde
SESSION_EXEC=%{_kde4_bindir}/startkde
export IFEXISTS SESSION_EXEC
export KDEDIR=%{_kde4_prefix}
export QTDIR=%{_qt4_prefix}
export PATH=\$PATH:\$QTDIR/bin
END

# preparing
mkdir -p %{buildroot}%{_kde4_sysconfdir}/kde/{env,kdm,shutdown,xdg}
mkdir -p %{buildroot}%{_datadir}/kde-settings/kde-profile/default/share/{applications,apps/konqueror,config,services}

# install pulseaudio support
install -m 755 %{SOURCE10} %{buildroot}%{_kde4_sysconfdir}/kde/env/

# install environment setting files
install -m 755 %{SOURCE20} %{buildroot}%{_kde4_sysconfdir}/kde/env/
install -m 755 %{SOURCE21} %{buildroot}%{_kde4_sysconfdir}/kde/env/
install -m 755 %{SOURCE22} %{buildroot}%{_kde4_sysconfdir}/kde/env/
install -m 755 %{SOURCE23} %{buildroot}%{_kde4_sysconfdir}/kde/shutdown/

# install rc file
install -m 644 %{SOURCE30} %{buildroot}%{_kde4_sysconfdir}/

# install default profile
install -m 644 %{SOURCE50} %{buildroot}%{_datadir}/kde-settings/kde-profile/default/share/applications/
install -m 644 %{SOURCE51} %{buildroot}%{_datadir}/kde-settings/kde-profile/default/share/apps/konqueror
install -m 644 %{SOURCE52} %{buildroot}%{_datadir}/kde-settings/kde-profile/default/share/config/
install -m 644 %{SOURCE53} %{buildroot}%{_datadir}/kde-settings/kde-profile/default/share/config/
install -m 644 %{SOURCE54} %{buildroot}%{_datadir}/kde-settings/kde-profile/default/share/services/
install -m 644 %{SOURCE55} %{buildroot}%{_datadir}/kde-settings/kde-profile/default/share/.kdeprofile

# nuke, use external kde-config-kdm
rm -rf  %{buildroot}%{_kde4_configdir}/kdm

# install kdm files
install -m 755 %{SOURCE70} %{buildroot}%{_kde4_sysconfdir}/kde/kdm/Xsession
install -m 644 %{SOURCE71} %{buildroot}%{_kde4_sysconfdir}/kde/kdm/
install -m 644 %{SOURCE72} %{buildroot}%{_kde4_sysconfdir}/kde/kdm/
install -m 644 %{SOURCE73} %{buildroot}%{_kde4_sysconfdir}/kde/kdm/
install -m 644 %{SOURCE74} %{buildroot}%{_kde4_sysconfdir}/kde/kdm/
ln -sf ../../X11/xdm/Xaccess %{buildroot}%{_kde4_sysconfdir}/kde/kdm/Xaccess
ln -sf ../../X11/xdm/Xresources %{buildroot}%{_kde4_sysconfdir}/kde/kdm/Xresources
ln -sf ../../X11/xdm/Xservers %{buildroot}%{_kde4_sysconfdir}/kde/kdm/Xservers
ln -sf ../../X11/xdm/Xsetup_0 %{buildroot}%{_kde4_sysconfdir}/kde/kdm/Xsetup
ln -sf ../../X11/xdm/Xwilling %{buildroot}%{_kde4_sysconfdir}/kde/kdm/Xwilling
ln -sf ../../../%{_kde4_sysconfdir}/kde/kdm %{buildroot}%{_kde4_configdir}/kdm

# set user icon for kdm
mkdir -p %{buildroot}%{_datadir}/apps/kdm/faces
ln -s ../pics/users/root1.png %{buildroot}%{_datadir}/apps/kdm/faces/root.face.icon
ln -s ../pics/users/default2.png %{buildroot}%{_datadir}/apps/kdm/faces/.default.face.icon

# install sample of /etc/sysconfig/desktop
mkdir -p %{buildroot}%{_datadir}/config-sample/kdm
install -m 644 %{SOURCE75} %{buildroot}%{_datadir}/config-sample/kdm/

# move devel symlinks
mkdir -p %{buildroot}%{_kde4_libdir}/kde4/devel
pushd %{buildroot}%{_kde4_libdir}
for i in lib*.so
do
  case "$i" in
    libkdeinit*.so)
      ;;
    libplasma_applet-system-monitor.so)
      ;;
    libkickoff.so)
      ;;
    libsystemsettingsview.so)
      ;;
    # leave libworkspace.so for kate
    libkworkspace.so|libplasma.so)
      linktarget=`readlink "$i"`
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
    *)
      linktarget=`readlink "$i"`
      rm -f "$i"
      ln -sf "../../$linktarget" "kde4/devel/$i"
      ;;
  esac
done
popd

# install directory files for Momonga Menus
# %{_kde4_datadir}/desktop-directories/ is owned by kdebase-runtime
mkdir -p %{buildroot}%{_kde4_datadir}/desktop-directories
install -m 644 %{SOURCE110} %{SOURCE111} %{buildroot}%{_kde4_datadir}/desktop-directories/
install -m 644 %{SOURCE112} %{SOURCE113} %{buildroot}%{_kde4_datadir}/desktop-directories/

# install Momonga Icons
install -m 644 %{SOURCE130} %{buildroot}%{_kde4_iconsdir}/oxygen/16x16/apps/momonga.png
install -m 644 %{SOURCE131} %{buildroot}%{_kde4_iconsdir}/oxygen/22x22/apps/momonga.png
install -m 644 %{SOURCE132} %{buildroot}%{_kde4_iconsdir}/oxygen/32x32/apps/momonga.png
install -m 644 %{SOURCE133} %{buildroot}%{_kde4_iconsdir}/oxygen/48x48/apps/momonga.png
install -m 644 %{SOURCE134} %{buildroot}%{_kde4_iconsdir}/oxygen/64x64/apps/momonga.png

# install Momonga ColorScheme
install -m 644 %{SOURCE150} %{buildroot}%{_kde4_appsdir}/color-schemes/

# replace splash screen
install -m 644 %{SOURCE200} %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Default/1600x1200/

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_kde4_sysconfdir}/X11/xinit/session.d/kde
%dir %{_kde4_sysconfdir}/kde
%{_kde4_sysconfdir}/kde/env
%dir %{_kde4_sysconfdir}/kde/kdm
%{_kde4_sysconfdir}/kde/kdm/Xaccess
%{_kde4_sysconfdir}/kde/kdm/Xresources
%{_kde4_sysconfdir}/kde/kdm/Xservers
%{_kde4_sysconfdir}/kde/kdm/Xsession
%{_kde4_sysconfdir}/kde/kdm/Xsetup
%{_kde4_sysconfdir}/kde/kdm/Xwilling
%config(noreplace) %{_kde4_sysconfdir}/kde/kdm/backgroundrc
%config(noreplace) %{_kde4_sysconfdir}/kde/kdm/kdmrc
%{_kde4_sysconfdir}/kde/kdm/xinitrc-common
%{_kde4_sysconfdir}/kde/kdm/xinitrc-momonga
%{_kde4_sysconfdir}/kde/shutdown
%config %{_kde4_sysconfdir}/pam.d/*
%config %{_kde4_sysconfdir}/kde4rc
%{_kde4_bindir}/*
%{_kde4_appsdir}/color-schemes/*.colors
%{_kde4_appsdir}/desktoptheme
%{_kde4_appsdir}/kaccess
%{_kde4_appsdir}/kcminput
%{_kde4_appsdir}/kcmkeys
%{_kde4_appsdir}/kcmsolidactions
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/kcontrol/pics/*
%{_kde4_appsdir}/kdisplay
%{_kde4_appsdir}/kfontinst
%{_kde4_appsdir}/kfontview
%{_kde4_appsdir}/khotkeys
%{_kde4_appsdir}/kmenuedit
%{_kde4_appsdir}/konqsidebartng/virtual_folders/services/*
%{_kde4_appsdir}/ksplash
%{_kde4_appsdir}/ksysguard
%{_kde4_appsdir}/kthememanager
%{_kde4_appsdir}/kwin
%{_kde4_appsdir}/kwrited
%{_kde4_appsdir}/plasma
%{_kde4_appsdir}/plasma_scriptengine_ruby
%{_kde4_appsdir}/powerdevil
%{_kde4_appsdir}/solid
%{_kde4_appsdir}/solidfakenetbackend
%{_kde4_appsdir}/systemsettings
%{_kde4_configdir}/*
%{_kde4_datadir}/config-sample/kdm/desktop.sample
%{_kde4_datadir}/kde-settings
%{_kde4_datadir}/kde4/services/*.*
%{_kde4_datadir}/kde4/services/ScreenSavers
%{_kde4_datadir}/kde4/services/ServiceMenus/*
%{_kde4_datadir}/kde4/services/kded/*
%{_kde4_datadir}/kde4/services/kwin
%{_kde4_datadir}/kde4/services/solidbackends
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_datadir}/desktop-directories/*
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/applications/kde4/*
%{_datadir}/dbus-1/interfaces/*
%{_datadir}/dbus-1/services/org.kde.krunner.service
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/xsessions/*
%{_kde4_docdir}/HTML/en/kcontrol/*
%{_kde4_docdir}/HTML/en/klipper
%{_kde4_docdir}/HTML/en/kmenuedit
%{_kde4_docdir}/HTML/en/ksysguard
%{_kde4_docdir}/HTML/en/kxkb
%{_kde4_docdir}/HTML/en/plasma
%{_kde4_docdir}/HTML/en/systemsettings
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_libdir}/strigi/*
%{_kde4_libdir}/libkdeinit*.so
%{_kde4_libdir}/libplasma_applet-system-monitor.so
%{_kde4_libdir}/libkickoff.so                                                                                                                                         
%{_kde4_libdir}/libsystemsettingsview.so                                                                                                                              
%{_kde4_libdir}/kconf_update_bin/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/plugins/designer/*
%{_kde4_libdir}/kde4/libexec/kcheckpass
%{_kde4_libdir}/kde4/libexec/kcmdatetimehelper
%{_kde4_libdir}/kde4/libexec/kfontprint
%{_kde4_libdir}/kde4/libexec/kio_fonts_helper
%{_kde4_libdir}/kde4/libexec/krootimage
%{_kde4_libdir}/kde4/libexec/kscreenlocker
%{_kde4_libdir}/kde4/libexec/test_kcm_xinerama
%{_mandir}/man1/*                                                                                                                                                     
%exclude %{_kde4_bindir}/ksysguardd
%exclude %{_kde4_bindir}/genkdmconf
%exclude %{_kde4_bindir}/kdm
%exclude %{_kde4_bindir}/kdmctl
%exclude %{_kde4_libdir}/kde4/kcm_kdm.so
%exclude %{_kde4_libdir}/kde4/kgreet_*.so
%exclude %{_kde4_configdir}/kdm.knsrc
%exclude %{_kde4_datadir}/kde4/services/kdm.desktop
%exclude %{_kde4_libdir}/kde4/plasma_package_ggl.so
%exclude %{_kde4_libdir}/kde4/plasma_scriptengine_ggl.so
%exclude %{_kde4_appsdir}/plasma/plasmoids/ggl_*
%exclude %{_kde4_datadir}/kde4/services/plasma-applet-ggl*
%exclude %{_kde4_datadir}/kde4/services/*googlegadgets.desktop
%exclude %{_kde4_datadir}/kde4/services/plasma-scriptengine*python.desktop
%if !%{stable5}                                                                                                                                                       
%exclude %{_kde4_bindir}/polkit-kde-authorization                                                                                                                     
%exclude %{_kde4_datadir}/kde4/services/kcm_pkk_authorization.desktop                                                                                                 
%exclude %{_kde4_libdir}/kde4/kcm_pkk_authorization.so                                                                                                                
%exclude %{_kde4_libdir}/kde4/libexec/polkit-kde-manager                                                                                                              
%endif                                                                                                                                                                

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so.*
%if !%{stable5}                                                                                                                                                       
%exclude %{_kde4_libdir}/libpolkitkdeprivate.so.*                                                                                                                     
%endif                                                                                                                                                                

%files devel
%defattr(-,root,root,-)
%{_kde4_appsdir}/cmake/modules/*
%{_kde4_includedir}/*.h
%{_kde4_includedir}/KDE/Plasma/*
%{_kde4_includedir}/kephal
%{_kde4_includedir}/ksgrd
%{_kde4_includedir}/ksysguard
%{_kde4_includedir}/kworkspace
%{_kde4_includedir}/plasmaclock
%{_kde4_includedir}/nepomuk/*
%{_kde4_includedir}/plasma/*
%{_kde4_includedir}/solid/*
%{_kde4_includedir}/systemsettingsview
%{_kde4_includedir}/taskmanager
%{_kde4_libdir}/lib*.so
%{_kde4_libdir}/kde4/devel/lib*.so
%{_kde4_libdir}/cmake/KDE4Workspace
%exclude %{_kde4_libdir}/libkdeinit*.so
%exclude %{_kde4_libdir}/libplasma_applet-system-monitor.so
%exclude %{_kde4_libdir}/libkickoff.so                                                                                                                                
%exclude %{_kde4_libdir}/libsystemsettingsview.so                                                                                                                     

%files wallpapers
%defattr(-,root,root,-)
%{_kde4_datadir}/wallpapers/*

%files -n kdm
%defattr(-,root,root,-)
%{_kde4_bindir}/genkdmconf
%{_kde4_bindir}/kdm
%{_kde4_bindir}/kdmctl
%{_kde4_libdir}/kde4/kcm_kdm.so
%{_kde4_libdir}/kde4/libexec/kdm_config
%{_kde4_libdir}/kde4/libexec/kdm_greet
%{_kde4_libdir}/kde4/kgreet_*.so
%{_kde4_configdir}/kdm.knsrc
%{_kde4_docdir}/HTML/en/kdm
%dir %{_kde4_appsdir}/doc
%{_kde4_appsdir}/doc/kdm
%{_kde4_appsdir}/kdm/faces
%{_kde4_appsdir}/kdm/patterns
%{_kde4_appsdir}/kdm/pics/*.*
%{_kde4_appsdir}/kdm/pics/users/*
%{_kde4_appsdir}/kdm/programs
%{_kde4_appsdir}/kdm/sessions
%{_kde4_appsdir}/kdm/themes
%{_kde4_datadir}/kde4/services/kdm.desktop

%files -n ksysguardd
%defattr(-,root,root,-)
%config(noreplace) %{_kde4_sysconfdir}/ksysguarddrc
%{_kde4_bindir}/ksysguardd

%files -n oxygen-cursor-themes
%defattr(-,root,root,-)
%{_kde4_iconsdir}/Oxygen_Black
%{_kde4_iconsdir}/Oxygen_Black_Big
%{_kde4_iconsdir}/Oxygen_Blue
%{_kde4_iconsdir}/Oxygen_Blue_Big
%{_kde4_iconsdir}/Oxygen_White
%{_kde4_iconsdir}/Oxygen_White_Big
%{_kde4_iconsdir}/Oxygen_Yellow
%{_kde4_iconsdir}/Oxygen_Yellow_Big
%{_kde4_iconsdir}/Oxygen_Zion
%{_kde4_iconsdir}/Oxygen_Zion_Big

%files googlegadgets
%defattr(-,root,root,-)
%{_kde4_libdir}/kde4/plasma_package_ggl.so
%{_kde4_libdir}/kde4/plasma_scriptengine_ggl.so
%{_kde4_appsdir}/plasma/plasmoids/ggl_*
%{_kde4_datadir}/kde4/services/plasma-applet-ggl*
%{_kde4_datadir}/kde4/services/*googlegadgets.desktop

%files python-applet
%defattr(-,root,root,-)
%{python_sitearch}/PyKDE4/plasmascript.py
%{python_sitearch}/PyKDE4/plasmascript.pyc
%{_kde4_appsdir}/plasma_scriptengine_python
%{_kde4_datadir}/kde4/services/plasma-scriptengine*python.desktop

%if !%{stable5}
%files -n PolicyKit-kde
%defattr(-,root,root,-)
%{_kde4_bindir}/polkit-kde-authorization
%{_kde4_libdir}/kde4/libexec/polkit-kde-manager
%{_kde4_libdir}/libpolkitkdeprivate.so.?.?.?
%{_kde4_datadir}/kde4/services/kcm_pkk_authorization.desktop
%{_datadir}/dbus-1/services/kde-org.freedesktop.PolicyKit.AuthenticationAgent.service
%{_datadir}/dbus-1/services/org.kde.PolicyKit.service
%{_kde4_docdir}/HTML/en/PolicyKit-kde

%files -n PolicyKit-kde-devel
%defattr(-,root,root,-)
%{_kde4_libdir}/libpolkitkdeprivate.so.?
%{_kde4_libdir}/kde4/kcm_pkk_authorization.so
%endif

%changelog
* Thu Jul  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.95-1m)
- update to KDE 4.3 RC (4.2.95)

* Tue Jun 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.91-3m)
- change color of background to "#315717" at start up
- (sync with gdm-2.20.10-3m)

* Fri Jun 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.91-2m)
- BuildRequires: kdelibs-experimental-devel

* Fri Jun 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.91-1m)
- update to 4.2.91

* Fri Jun 12 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.90-3m)
- set default wallpaper again

* Thu Jun 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.90-2m)
- BuildRequires: polkit-qt-devel and more

* Thu Jun 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.90-1m)
- update to KDE 4.3 beta 2 (4.2.90)

* Sun Jun  7 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.89-1m)
- update to 4.2.89

* Sat Jun  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.88-1m)
- update to 4.2.88

* Thu Jun  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.4-1m)
- update to KDE 4.2.4

- * Sat May 30 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.88-1m)
- - update to 4.2.88

- * Sun May 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.87-1m)
- - update to 4.2.87

* Sun May 24 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.3-3m)
- change default wallpaper from "Momonga" to "Momonga Fly High"
- use plasma-appletsrc to set the default wallpaper
- update bookmarks.xml (add momonga-icon to bookmark)

- * Fri May 22 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.87-1m)
- - update to 4.2.87

- * Sun May 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-2m)
- - rebuild with new source
- - separate kdm, kdebase-workspce-googlegadgts and kdebase-workspace-python-applet

* Sun May 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.3-2m)
- specify cmake version up to 2.6.4

- * Thu May 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-2m)
- - rebuild with new source
- - separate kdm, kdebase-workspce-googlegadgts and kdebase-workspace-python-applet

- * Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-1m)
- - update to 4.2.85

* Sun May 10 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.3-1m)
- update to KDE 4.2.3

- * Fri May  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.85-1m)
- - update to 4.2.85

- * Sat May  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.71-1m)
- - update to 4.2.71

- * Sat Apr 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.70-2m)
- - add BuildRequires: polkit-qt-devel

- * Sat Apr 18 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.70-1m)
- - update to 4.2.70

- * Sat Apr 11 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.2.69-1m)
- - update to 4.2.69

* Mon Apr  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.2-2m)
- Requires: kdebase-workspace-wallpapers on stable5
- Requires: oxygen-cursor-themes on stable5
- PreReq: coreutils
- PreReq: desktop-file-utils
- PreReq: gtk2
- PreReq: shared-mime-info

* Fri Apr  3 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.2-1m)
- update to KDE 4.2.2

* Fri Mar  6 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.1-1m)
- update to KDE 4.2.1
- import some patches from Fedora devel and update some patches
- apply new upstream patch

* Tue Feb 17 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.2.0-2m)
- import solid-bluetoothTrunkTo42.diff from Fedora for kdebluetooth4-0.3 on trunk
- import kdebase-workspace-4.2.0-bluetooth-revert.patch from Fedora for kdebluetooth4-0.2 on STABLE_5
- %%global stable5 0
- DO NOT FORGET set stable5 1 on STABLE_5

* Sat Jan 31 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.2.0-1m)
- update to KDE 4.2.0
- add patch11, patch12 and patch100 from Fedora devel

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.96-2m)
- rebuild against rpm-4.6

* Fri Jan 16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.96-1m)
- update to KDE 4.2 RC

* Mon Jan  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-2m)
- rebuild against strigi-0.6.2

* Sun Jan  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.87-1m)
- update to 4.1.87

* Fri Jan  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.85-4m)
- use %%{python_sitearch}

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.1.85-3m)
- rebuild against python-2.6.1-1m

* Sun Dec 21 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.1.85-2m)
- rebuild against bluez-4.22

* Sat Dec 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.85-1m)
- update to 4.1.85

* Wed Dec 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.82-1m)
- update to 4.1.82

* Sun Nov 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.81-1m)
- update to 4.1.81

* Fri Nov 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.80-1m)
- update to 4.1.80
- almost sync with Fedora devel

* Fri Nov 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.73-1m)
- update to 4.1.73

* Sun Nov  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.72-2m)
- kdebase-workspace does not provide %%{_includedir}/KDE/Plasma
- enable to build with new kdelibs (add patch11)

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.72-1m)
- update to 4.1.72

* Sun Oct 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.71-2m)
- update plasmarc to set wallpaper again
- Requires: momonga-backgrounds >= 5.1

* Fri Oct 24 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.71-1m)
- update to 4.1.71

* Sat Oct 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.70-1m)
- update to 4.1.70

* Sat Oct 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.69-1m)
- update to 4.1.69

* Fri Oct  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.68-1m)
- update to 4.1.68

* Sat Sep 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.67-1m)
- update to 4.1.67

* Tue Sep 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.66-1m)
- update to 4.1.66

* Sat Sep 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.65-1m)
- update to 4.1.65

* Sat Sep 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.0-7m)
- change color of background to "#408AEA" at start up
- (sync with xorg-x11-xinit-1.1.0-2m)

* Sat Sep  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.0-6m)
- use full hinting by default

- * Sat Sep  6 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.65-1m)
- - update to 4.1.65

* Fri Sep  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.0-5m)
- move kderc to kdelibs3 for font settings

- * Tue Sep  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.64-1m)
- - update to 4.1.64

- * Sat Aug 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.63-1m)
- - update to 4.1.63

- * Thu Aug 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.62-1m)
- - update to 4.1.62

- * Tue Aug 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.61-2m)
- - update splash image for KDE 4.2

- * Tue Aug 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (4.1.61-1m)
- - update to 4.1.61

* Tue Aug 12 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.1.0-4m)
- Requires: hal

* Tue Aug  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-3m)
- update pam setting files
- import and update some patches from Fedora
-- * Mon Aug 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-8
   - patch another place where systemsettings was hidden from the menu (#457739)
-- * Mon Aug 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-7
   - enable KWin taskbarthumbnail effect (used by backported tooltip manager)
-- * Fri Aug 01 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-6
   - patch to help krandr issues/crashes (kde#152914)
-- * Fri Aug 01 2008 Lukas Tinkl <ltinkl@redhat.com> 4.1.0-5
   - fix 457479: "Run as root" dialog of kdm system settings is shown twice
     (due to activated signal being connected to twice)
-- * Fri Aug 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-4
   - fix KDM configuration using the wrong appsdir for themes (#455623)
-- * Wed Jul 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-8
   - fix KDM ConsoleKit patch to use x11-display-device instead of display-device

* Sun Aug  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-2m)
- add Source200 to Momonga-nize splash
- add Requires: xdg-user-dirs

* Wed Jul 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.1.0-1m)
- update to KDE 4.1.0

* Sat Jul 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.99-2m)
- rewind ksplashx/themes/default/1600x1200/description.txt to enable splash

* Sat Jul 19 2008 NARITAKoichi <pulsar@momonga-linux.org>
- (4.0.99-1m)
- update to 4.0.99

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.98-1m)
- update to KDE 4.1 RC 1

* Sat Jul  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.85-1m)
- update to 4.0.85

* Sun Jun 29 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.84-1m)
- minor version up for KDE 4.1 beta 2

* Fri Jun 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.83-2m)
- modify %%files for smart handling of a directory

* Thu Jun 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.83-1m)
- update to KDE 4.1 beta 2

* Fri May 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.80-1m)
- update to KDE 4.1 beta 1

* Wed May 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.4-4m)
- rebuild against lm_sensors-3.0.2

* Tue May 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.4-3m)
- Requires: xorg-x11-server-utils and xorg-x11-xkb-utils

* Sat May 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.4-2m)
- import suse, fedora and upstream's patches
- set wallpaper
- add momonga-startkde-change-color.patch
- keep color of background to vivid-blue at start up

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.4-1m)
- update to 4.0.4

* Thu Apr 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.3-5m)
- install xinitrc-common again
- install xinitrc-momonga again
- install Momonga5.colors
- modify kdmrc for Momonga5.colors
- set user icon again
- install desktop.sample again
- modify %%files to avoid replacing kdm configuration files
- add Requires: momonga-backgrounds for kdm
- kdm is working now

* Tue Apr 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.3-4m)
- fix up Xsession.momonga

* Sun Apr 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.3-3m)
- Requires: ConsoleKit-x11

* Sun Apr 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.3-2m)
- add ConsoleKit support to Xsession.momonga

* Mon Apr  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.3-1m)
- update to 4.0.3
- import some patches from Fedora devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.2-5m)
- rebuild against gcc43

* Tue Mar 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-4m)
- test default settings

* Fri Mar 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-3m)
- apply 3 upstream fixes

* Sat Mar  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.2-2m)
- add pulseaudio support again

* Sat Mar  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.2-1m)
- update to 4.0.2
- delete unused patches and add some patches

* Sat Mar  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.1-5m)
- update pulseaudio.sh

* Fri Mar  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.1-4m)
- add pulseaudio support

* Wed Feb 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.1-3m)
- install Momonga icons and mo-*-settings*.directory

* Mon Feb 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.1-2m)
- rebuild against libxklavier-3.4

* Sat Feb  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1
- import some patches from Fedora devel

* Sat Jan 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-3m)
- add pam support

* Tue Jan 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-2m)
- add sdr support

* Sat Jan 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (4.0.0-1m)
- KDE4
- import from Fedora devel

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraprojec.torg. 3.97.0-1
- kde-3.97.0
- move pam configs to kde-settings
- Requires: kde-settings-kdm

* Tue Dec 04 2007 Than Ngo <than@redhat.com> 3.96.2-3
- fix kdm/kcheckpass/kscreensaver to get working

* Sat Dec 01 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.2-2
- BR: dbus-devel
- crystalsvg icons are not part of kdebase-workspace anymore
- make sure libkdeinit_plasma.so is in normal package

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Sat Dec 01 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.1-4
- Obsoletes and Provides kdebase-kdm for upgrades from old kde-redhat

* Fri Nov 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.1-3
- update and apply redhat-startkde patch
- update and apply KDM ConsoleKit patch (#228111, kde#147790)
- ConsoleKit patch also includes xdmcp fixes from Mandriva (#243560)

* Wed Nov 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-2
- %%doc README COPYING
- -libs subpkg
- -libs: Requires: kdelibs4
- don't remove libplasma.so from %%{_kde4_libdir}
- %%files: use %%_datadir for dbus-1/interfaces,xsessions

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.1-1
- kde-3.96.1

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-7
- use kde.desktop from /usr/share/apps/kdm/sessions/kde.desktop
- use %%config(noreplace) for /etc/ksysguarddrc
- Requires: kdebase, kdebase-runtime, oxygen-icon-theme
- fix url

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-6
- add patch to get pager in plasma bar
- re-added BR: libraw1394-devel

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-5
- leave libkworkspace.so for kate
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-4
- BR: libXtst-devel
- BR: libXScrnSaver-devel

* Fri Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-3
- own some more directories
- add %%defattr to package devel
- some spec cleanups
- -R: kdepimlibs-devel
- +BR: libXpm-devel
- +BR: glib2-devel (do we really need this?)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-2
- BR: libXxf86misc-devel
- BR: libXxf86misc-devel
- BR: libXcomposite-devel
- BR: bluez-libs-devel
- BR: libxklavier-devel
- BR: pam-devel
- BR: lm_sensors-devel
- BR: libXdamage-devel
- BR: libXv-devel
- BR: libXres-devel

* Wed Nov 14 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-1
- kde-3.96.0

* Wed Nov 14 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.95.2-1
- Initial version of kdebase-workspace
